import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Component {
    ToolBarLayout {
            id: toolbar
            ToolIcon { iconId: "toolbar-back"; onClicked: { menu.close(); pageStack.pop(); }  }
            ToolIcon { iconId: "toolbar-refresh"; onClicked: { refresh() } }
            ToolIcon { iconId: "toolbar-view-menu" ; onClicked: menu.open(); }
        }

        Menu {
            id: menu
            visualParent: pageStack
            MenuLayout {
                MenuItem {
                    text: "Refresh";
                    onClicked: {
                        refresh()
                    }
                }
                MenuItem {
                    text: "Show incidents only";
                    onClicked: {
                        currentUrl = constants.lineStatusUrlIncidentsOnly
                        refresh()
                    }
                }
                MenuItem {
                    text: "Show all"; onClicked: {
                        currentUrl = constants.lineStatusUrl
                        refresh()
                    }
                }
            }
        }
    }
