// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "Constants.js" as Constants

Component {
    id: tflListViewSearchHeader
    Rectangle {
      id: searchRectangle
      width: parent.width
      height: (state == "visible") ? 55 : 0
      visible: (state == "visible") ? true : false
      state: "hidden"
      color: "black"
      TextField {
            id: searchField
            anchors.fill: parent
            anchors.margins: 5
            focus: false
            visible: true
            placeholderText: "Search"
            ToolIcon {
              id: searchIcon
              iconSource: "image://theme/icon-m-common-search";
              anchors.verticalCenter: parent.verticalCenter
              anchors.right: parent.right
              visible: parent.visible
            }
            ToolIcon {
              id: deleteIcon
              iconSource: "image://theme/icon-m-input-clear";
              anchors.verticalCenter: parent.verticalCenter
              anchors.right: parent.right
              visible: false
              onClicked: {
                  searchField.text = "";
                }
            }
        }

      onStateChanged: {
          height = 55;
          visible = true;

      }
    }
}
